{% extends 'images/base.html' %}
{% block content %}

<div class"container">
    <div class="row">
        <div class="col-md-6">
            <h1>{{ image.title }}</h1>
            <form action="{% url 'app:like' image.id %}" method="post">
                {% csrf_token %}
                {% if liked %}
                <input type="submit" value="Like ({{ image.like_set.count }})" class="btn btn-primary">
                {% else %}
                <input type="submit" value="Like ({{ image.like_set.count }})" class="btn btn-secondary">
                {% endif %}
            </form>
            <div>
                <p>Objavljeno: {{ image.pub_date }}</p>
                <img src="{{ image.url }}" class="full-width">
            </div>
        </div>
        <div class="col-md-6">
            <h1>Komentari</h1> 
            {% for comment in comments %}
                <p class="comment">
                    <strong>{{comment.user.username}}</strong>
                    ( {{ comment.pub_date }} ) <br/>
                    {{ comment.text }}
                </p>
            {% endfor %}
            {% if user.is_authenticated %}
            <form action="{% url 'app:post_comment' image.id %} " method="post">
                {% csrf_token %}
                <p>
                    <label for="comment_text">Text</label>
                    <input id="comment_text" name="text" type="text">
                </p>

                <input type="submit">
            </form>
            {% else %}
            <p>Morate biti prijavljeni za komentiranje.
                <a href="{% url 'login' %}">Prijavi se</a>
            </p>
            {% endif %}
        </div>     
    </div>
</div>

{% endblock %}
